Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # point2 Class Template Reference [Models] `#include <utilities.hpp>` List of all members. ## Detailed Description ### template<typename T> class boost::gil::point2< T > 2D point both axes of which have the same dimension type Models: Point2DConcept
## Public Types
typedef T | value_type
## Public Member Functions
| point2 (T newX, T newY)
| point2 (const point2 &p)
point2 & | operator= (const point2 &p)
point2 | operator<< (int shift) const
point2 | operator>> (int shift) const
point2 & | operator+= (const point2 &p)
point2 & | operator-= (const point2 &p)
point2 & | operator/= (double t)
const T & | operator[] (std::size_t i) const
T & | operator[] (std::size_t i)
## Public Attributes
T | x
T | y
## Static Public Attributes
static const std::size_t | num_dimensions = 2
The documentation for this class was generated from the following file: utilities.hpp